
#define snap 20110104

Summary: Xine phonon backend 
Name:    phonon-backend-xine
Version: 4.4.4
Release: 3%{?dist}
Group:   System Environment/Libraries
License: LGPLv2+
URL:     http://phonon.kde.org/
%if 0%{?snap}
Source0: phonon-backend-xine-%{version}-%{snap}.tar.bz2
# run this script to generate a snapshot tarball
Source1: phonon-xine_snapshot.sh
%else
Source0: ftp://ftp.kde.org/pub/kde/stable/phonon/phonon-backend-xine/%{version}/src/phonon-backend-xine-%{version}.tar.bz2
%endif
# bump the priority to make this the default backend (conditionally applied)
Patch0:  phonon-backend-xine-4.4.4-InitialPreference.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: automoc4
BuildRequires: cmake
BuildRequires: phonon-devel >= 4.4.4
BuildRequires: libxcb-devel
BuildRequires: xine-lib-devel

%global phonon_version %(pkg-config --modversion phonon 2>/dev/null || echo 4.4.4)

Provides: phonon-backend%{?_isa} = %{phonon_version}

Obsoletes: phonon-xine < 4.4.4-0.2
Provides:  phonon-xine = %{version}-%{release}

Requires: phonon%{?_isa} => %{phonon_version}
Requires: qt4%{?_isa} >= %{_qt4_version}

%description
%{summary}.


%prep
%setup -q -n phonon-backend-xine-%{version}
%if 0%{?fedora} < 15
%patch0 -p1 -b .InitialPreference
%endif

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} \
  -DUSE_INSTALL_PLUGIN=TRUE \
  ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# move icons to hicolor
mv %{buildroot}%{_datadir}/icons/oxygen \
   %{buildroot}%{_datadir}/icons/hicolor


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:


%files
%defattr(-,root,root,-)
%doc COPYING.LIB
%{_kde4_libdir}/kde4/plugins/phonon_backend/phonon_xine.so
%{_kde4_datadir}/kde4/services/phononbackends/xine.desktop
%{_datadir}/icons/hicolor/*/apps/phonon-xine.*



%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb 02 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.4.4-2
- bump the preference on F14 and older to keep this as the default there

* Fri Jan 21 2011 Rex Dieter <rdieter@fedoraproject.org> 4.4.4-1
- phonon-backend-xine-4.4.4

* Wed Jan 05 2011 Rex Dieter <rdieter@fedoraproject.org> -  4.4.4-0.3.20110104
- %%doc COPYING.LIB
- add comment on pnonon-xine_snapshot.sh usage

* Wed Jan 05 2011 Rex Dieter <rdieter@fedoraproject.org> -  4.4.4-0.2.20110104
- phonon-backend-xine

* Tue Jan 04 2011 Rex Dieter <rdieter@fedoraproject.org> -  4.4.4-0.1.20110104
- phonon-xine-4.4.4-20110104 snapshot
